Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemExtensionCall

    java.lang.Object
      |
      +--org.apache.xalan.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.ElemUse
                        |
                        +--org.apache.xalan.templates.ElemLiteralResult
                              |
                              +--org.apache.xalan.templates.ElemExtensionCall

public class ElemExtensionCall
extends ElemLiteralResult

**For advanced use only** Implement an extension element.

See Also:
  extension-element in XSLT Specification, Serialized Form

Constructor Summary
`ElemExtensionCall()` **For advanced use only**

Method Summary
`void` | `compose()` **For advanced use only** This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`boolean` | `elementIsAvailable()` **For advanced use only** Tell if this extension element is available for execution.
`void` | `execute(TransformerImpl transformer, Node sourceNode, QName mode)` **For advanced use only** Execute an extension.
`java.lang.String` | `getAttribute(java.lang.String rawName)` **For advanced use only** Return the raw value of the attribute.
`java.lang.String` | `getAttribute(java.lang.String rawName, Node sourceNode, TransformerImpl transformer)` **For advanced use only** Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".
`int` | `getXSLToken()` **For advanced use only** Get an int constant identifying the type of element.

Methods inherited from class org.apache.xalan.templates.ElemLiteralResult
`addLiteralResultAttribute, addLiteralResultAttribute, containsExtensionElementURI, enumerateLiteralResultAttributes, getExtensionElementPrefix, getExtensionElementPrefixCount, getLiteralResultAttribute, getLocalName, getNamespace, getNodeName, getRawName, resolvePrefixTables, setExcludeResultPrefixes, setExtensionElementPrefixes, setLocalName, setNamespace, setRawName, setVersion`

Methods inherited from class org.apache.xalan.templates.ElemUse
`getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getPrefixes, getPreviousSibling, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getXmlSpace, hasChildNodes, isCompiledTemplate, item, removeChild, replaceChild, runtimeInit, setDOMBackPointer, setLocaterInfo, setPrefixes, setPrefixes, setXmlSpace`

Methods inherited from class org.apache.xalan.utils.UnImplNode
`appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, error, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSpecified, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setNodeValue, setPrefix, setValue, splitText, substringData, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExtensionCall

    public ElemExtensionCall()

Method Detail

### getXSLToken

    public int getXSLToken()

  **For advanced use only** Get an int constant identifying the type of element.
  Overrides:
    getXSLToken in class ElemLiteralResult
  See Also:
    `Constants`

### elementIsAvailable

    public boolean elementIsAvailable()

  **For advanced use only** Tell if this extension element is available for execution.

### compose

    public void compose()

  **For advanced use only** This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
  Overrides:
    compose in class ElemTemplateElement

### execute

    public void execute(TransformerImpl transformer,
                        Node sourceNode,
                        QName mode)
                 throws SAXException

  **For advanced use only** Execute an extension.
  Overrides:
    execute in class ElemLiteralResult

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName)

  **For advanced use only** Return the raw value of the attribute.
  Overrides:
    getAttribute in class UnImplNode

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName,
                                         Node sourceNode,
                                         TransformerImpl transformer)
                                  throws SAXException

  **For advanced use only** Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.